Incompatibilidade: Kernel Linux 3.10.6 E Placa Wireless Broadcom Resultam Em Kernel Panic

| Comments

Kernel Panic!

Foi com isto que me deparei logo pela manhã ao chegar no trabalho ao ligar meu notebook.

Ontem rodei o habitual # pacman -Syu para atualizar meu Arch Linux. Dentre as atualizações estava a nova versão estável do kernel linux: 3.10.6

Hoje descobri que esta versão estava resultando em kernel panic para os usuários de placas wireless Broadcom. Sim, sou um deles.

Após algumas buscas em logs, percebi que o problema estava se dando com minha placa wireless. Logo ao iniciar o notebook, após alguns segundos, tudo travava e eu recebia o aviso de kernel panic.

Desabilitando minha placa wireless consegui manter o notebook funcionando normalmente. Ao pesquisar, percebi que tratava-se de bug nesta versão do kernel.

Solução? Downgrade no kernel linux.

Para quem ainda possui a versão anterior, 3.10.5 no diretório de cache, basta executar a instalação local com o pacman.

Com o seguinte comando você pode descobrir se o pacote ainda se encontra em seu cache:

1
 $ ls /var/cache/pacman/pkg/ | grep linux-3.10.5

Caso você ainda possua o pacote, basta digitar:

1
 # pacman -U /var/cache/pacman/pkg/linux-3.10.5-1-x86_64.pkg.tar.xz

O nome do pacote poderá ser diferente para você. Estou utilizando a versão x64 do Arch.

Por enquanto é melhor manter a versão anterior do kernel, ao menos até o lançamento da versão 3.11, na qual o problema já foi resolvido.

Comments